Status: Closed

Priority: High

Assignee: Nyall Dawson

Category: Web Services clients/WFS

Affected QGIS version:3.4.6 Regression?: Yes

Operating System: Windows 10 Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data:No Copied to github as #: 29638

Description

When I try to add a token-secured WFS service from ArcGIS Server I get this error message:

Layer ist ungültig: Der Layer pagingEnabled='true' restrictToRequestBBOX='1' srsname='EPSG:32633'

typename='TEST_Token_Museen:Museen_-50k'

url='https://gis.stmk.gv.at/arcgis/services/TEST_Token/Museen/MapServer/WFSServer?token=xxx' 

version='auto' table="" sql= ist kein gültiger Layer und kann nicht zur Karte hinzugefügt. Grund:

I changed the Token key to xxx. Do you know this bug? It works fine with the 2.18.15 release.

Thanks a lot, 

Niki

History

#1 - 2019-04-10 05:08 PM - Giovanni Manghi

- Regression? changed from No to Yes

- Priority changed from Normal to High

#2 - 2019-05-21 10:34 PM - Nyall Dawson

- Status changed from Open to Feedback

The correct way to do this is to use the authentication system, with the "ESRI Token" authentication type (or even better, use oauth2 authentication). Both

approaches work fine with ArcGIS server based layers.

#3 - 2019-05-23 09:33 AM - Nicole Kamp

- Assignee set to Nyall Dawson

Thank you for your help! Now it works without any problems!

#4 - 2019-05-23 11:04 AM - Giovanni Manghi

- Resolution set to invalid

- Status changed from Feedback to Closed
